GET
/v2/providers/openapi/apis/api/v5/vendors/callCenterInquiries/{inquiryId}2609170000查詢聯絡中心的單項問詢
KRTW
# 01
簡介
查詢聯絡中心的單項問詢
# 02
詳細內容
API 適用的买方用户區域:韓國、台灣
按諮詢號碼一一查詢聯絡中心的問詢。
對聯絡中心的過多詢問可能會被 Coupang 系統自動阻止。
路徑
GET/v2/providers/openapi/apis/api/v5/vendors/callCenterInquiries/{inquiryId}
範例端點
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/callCenterInquiries/1234567# 03
Path 參數
| Name | Type | Description |
|---|---|---|
| inquiryId* | number | 諮詢號碼 問題編號 |
| inquiryId* | number | 諮詢號碼 問題編號 |
# 04
回應內容
回應訊息
| Name | Type | Description | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | number | 伺服器響應code
| ||||||||||
| message | string | 伺服器響應資訊
| ||||||||||
| data | object | 結果
| ||||||||||
| inquiryId data.inquiryId | number | 諮詢號碼 問題編號 | ||||||||||
| inquiryStatus data.inquiryStatus | string | 詢價狀態 進展或完成 | ||||||||||
| csPartnerCounselingStatus data.csPartnerCounselingStatus | string | 應答狀態 請求答覆或已答覆 | ||||||||||
| vendorItemId data.vendorItemId | number | 單體ID
| ||||||||||
| itemName data.itemName | string | 單體的名稱
| ||||||||||
| content data.content | string | 詢問內容 問題內容 | ||||||||||
| answeredAt data.answeredAt | string | |||||||||||
| replies data.replies | object[] | 回覆的陣列
| ||||||||||
| answerId data.replies[].answerId | number | 回覆的ID
| ||||||||||
| parentAnswerId data.replies[].parentAnswerId | string | 所繼承的上層父回覆 ID
| ||||||||||
| partnerTransferStatus data.replies[].partnerTransferStatus | string | 賣家傳輸狀態; none (無應答) or requestAnswer (請求應答) or answered (應答完畢) | ||||||||||
| partnerTransferCompleteReason data.replies[].partnerTransferCompleteReason | string | 處理已轉移給賣家的問詢單的原因
| ||||||||||
| answerType data.replies[].answerType | string | 回答者型別 csAgent(CS代理)或vendor(賣家) | ||||||||||
| needAnswer data.replies[].needAnswer | boolean | 是否需要回答; 填true 或false | ||||||||||
| receptionistName data.replies[].receptionistName | string | 代理名稱
| ||||||||||
| receptionist data.replies[].receptionist | string | 代理
| ||||||||||
| replyAt data.replies[].replyAt | string | |||||||||||
| content data.replies[].content | string | 回覆的內容
| ||||||||||
| inquiryAt data.inquiryAt | string | |||||||||||
| buyerEmail data.buyerEmail | string | 未使用/則會顯示空值(“”)
| ||||||||||
| buyerPhone data.buyerPhone | string | 客戶的手機號 (格式需符合E.164標準)
| ||||||||||
| orderId data.orderId | integer | 訂單ID 例: 1900000******* | ||||||||||
| orderDate data.orderDate | string | |||||||||||
| receiptCategory data.receiptCategory | string | 問詢型別
| ||||||||||
| saleStartedAt data.saleStartedAt | string | |||||||||||
| saleEndedAt data.saleEndedAt | string |
Response Example
{
"code": 200,
"message": "OK",
"data": {
"inquiryId": 258799946,
"csPartnerCounselingStatus": "requestAnswer",
"inquiryStatus": "progress",
"vendorItemId": [
75235680736
],
"itemName": "제주 삼다수, 2L, 6개",
"content": "상담이력",
"answeredAt": "2025-01-15T14:17:13.973885-08:00",
"replies": [
{
"receptionistName": "OO스토아",
"receptionist": "cssp-hyjang15",
"replyAt": "2025-01-15T14:17:13.973885-08:00",
"content": "**\n\n\n※ 영업시간 기준 24시간 경과시, 자동으로 '24시간 미답변'에 대한 메세지가 노출될 예정입니다.\n\n안녕하세요 판매자님.\n반품/교환 관련해서 아래와 같이 변심 반품을 요청드리니 회신 부탁드립니다.\n\n[상담사 필수 기재 항목]\n1. 사용/조립 여부 : N\n2. 받은 그대로 재포장 가능여부 : Y\n3. 최종요청사항 : 주소오기재로 환불요청\n\n[판매자님 회신요청]\n1. 요청사항 이행 가능여부:\n2. 불가시 불가능한 사유 :\n3. 처리가능시, 회수여부 :",
"answerId": 21128942421017,
"parentAnswerId": null,
"partnerTransferStatus": "requestAnswer",
"partnerTransferCompleteReason": "NONE",
"answerType": "csAgent",
"needAnswer": true
}
],
"inquiryAt": "2025-01-15T14:17:13.973885-08:00",
"buyerEmail": "",
"buyerPhone": "+1(555)444-1234",
"orderId": 1900000******7,
"orderDate": "2025-01-15T14:17:13.973885-08:00",
"receiptCategory": "배송>배송>배송",
"saleStartedAt": "2023-07-24",
"saleEndedAt": "2099-12-29"
}
}# 05
錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (Check Request Parameter) | Invalid format inquiryId : xxxxxx | 確保inquiryId正確 |
| 404 | 404 (Check Request Parameter) | Inquiry not found | 確保inquiryId正確 |
| 404 | 404 (Check Request Parameter) | Vendor id should be same with the vendor id in this inquiry | 確保inquiryId正確 |